[lowrisc-dev] Re: make cpio error

Dinesh Thirumurthy dinesh.thirumurthy at gmail.com
Fri Dec 28 07:36:37 GMT 2018


Observed these too:

I: Configuring libk5crypto3:riscv64...
I: Configuring gpg-agent...
I: Configuring libkrb5-3:riscv64...
I: Configuring libgssapi-krb5-2:riscv64...
I: Configuring libsasl2-modules-db:riscv64...
I: Configuring libsasl2-2:riscv64...
I: Configuring libldap-2.4-2:riscv64...
I: Configuring dirmngr...
I: Configuring libc-bin...
W: Failure while configuring base packages.  This will be re-attempted up
to five times.
W: See //debootstrap/debootstrap.log for details (possibly the package
libsqlite3-0:riscv64 is at fault)
W: Failure while configuring base packages.  This will be re-attempted up
to five times.
W: See //debootstrap/debootstrap.log for details (possibly the package
libsqlite3-0:riscv64 is at fault)
W: Failure while configuring base packages.  This will be re-attempted up
to five times.
W: See //debootstrap/debootstrap.log for details (possibly the package
libsqlite3-0:riscv64 is at fault)
W: Failure while configuring base packages.  This will be re-attempted up
to five times.
W: See //debootstrap/debootstrap.log for details (possibly the package
libsqlite3-0:riscv64 is at fault)
W: Failure while configuring base packages.  This will be re-attempted up
to five times.
W: See //debootstrap/debootstrap.log for details (possibly the package
libsqlite3-0:riscv64 is at fault)
--2018-12-28 12:29:02--
http://www.debianmirror.de/debian-ports/pool-riscv64/main/s/systemd/libudev1_238-2_riscv64.deb
Resolving www.debianmirror.de (www.debianmirror.de)... 5.9.112.26,
2a01:4f8:162:5311:2:2:ffff:2
Connecting to www.debianmirror.de (www.debianmirror.de)|5.9.112.26|:80...
connected.
HTTP request sent, awaiting response... 404 Not Found
2018-12-28 12:29:03 ERROR 404: Not Found.

--2018-12-28 12:29:03--
http://www.debianmirror.de/debian-ports/pool-riscv64/main/s/systemd/libsystemd0_238-2_riscv64.deb
Resolving www.debianmirror.de (www.debianmirror.de)... 5.9.112.26,
2a01:4f8:162:5311:2:2:ffff:2
Connecting to www.debianmirror.de (www.debianmirror.de)|5.9.112.26|:80...
connected.
HTTP request sent, awaiting response... 404 Not Found
2018-12-28 12:29:04 ERROR 404: Not Found.

--2018-12-28 12:29:04--
http://www.debianmirror.de/debian-ports/pool-riscv64/main/libf/libffi/libffi7_3.3~rc0-2~riscv64_riscv64.deb
Resolving www.debianmirror.de (www.debianmirror.de)... 5.9.112.26,
2a01:4f8:162:5311:2:2:ffff:2
Connecting to www.debianmirror.de (www.debianmirror.de)|5.9.112.26|:80...
connected.
HTTP request sent, awaiting response... 404 Not Found
2018-12-28 12:29:04 ERROR 404: Not Found.

dpkg: error: --install needs at least one package archive file argument

Type dpkg --help for help about installing and deinstalling packages [*];
Use 'apt' or 'aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through 'less' or
'more' !
/usr/bin/apt-config: /lib/riscv64-linux-gnu/libc.so.6: version `GLIBC_2.28'
not found (required by /lib/riscv64-linux-gnu/libudev.so.1)
/usr/bin/apt-config: /lib/riscv64-linux-gnu/libc.so.6: version `GLIBC_2.28'
not found (required by /lib/riscv64-linux-gnu/libudev.so.1)
/usr/bin/apt-config: /lib/riscv64-linux-gnu/libc.so.6: version `GLIBC_2.28'
not found (required by /lib/riscv64-linux-gnu/libudev.so.1)
/usr/bin/apt-config: /lib/riscv64-linux-gnu/libc.so.6: version `GLIBC_2.28'
not found (required by /lib/riscv64-linux-gnu/libudev.so.1)
/usr/bin/apt-config: /lib/riscv64-linux-gnu/libc.so.6: version `GLIBC_2.28'
not found (required by /lib/riscv64-linux-gnu/libudev.so.1)
/usr/bin/apt-config: /lib/riscv64-linux-gnu/libc.so.6: version `GLIBC_2.28'
not found (required by /lib/riscv64-linux-gnu/libudev.so.1)
/usr/bin/apt-config: /lib/riscv64-linux-gnu/libc.so.6: version `GLIBC_2.28'
not found (required by /lib/riscv64-linux-gnu/libudev.so.1)
/usr/bin/gpg: /lib/riscv64-linux-gnu/libc.so.6: version `GLIBC_2.28' not
found (required by /usr/lib/riscv64-linux-gnu/libsqlite3.so.0)
/usr/bin/apt: /lib/riscv64-linux-gnu/libc.so.6: version `GLIBC_2.28' not
found (required by /lib/riscv64-linux-gnu/libudev.so.1)
/usr/bin/apt: /lib/riscv64-linux-gnu/libc.so.6: version `GLIBC_2.28' not
found (required by /lib/riscv64-linux-gnu/libudev.so.1)
passwd: password expiry information changed.
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = "en_IN:en",
    LC_ALL = (unset),
    LANG = "en_IN"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based
frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm
line 76.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install
the Term::ReadLine module) (@INC contains: /etc/perl
/usr/local/lib/riscv64-linux-gnu/perl/5.28.1 /usr/local/share/perl/5.28.1
/usr/lib/riscv64-linux-gnu/perl5/5.28 /usr/share/perl5
/usr/lib/riscv64-linux-gnu/perl/5.28 /usr/share/perl/5.28
/usr/local/lib/site_perl /usr/lib/riscv64-linux-gnu/perl-base) at
/usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
debconf: falling back to frontend: Teletype
dpkg-query: package 'locales' is not installed and no information is
available
Use dpkg --info (= dpkg-deb --info) to examine archive files.
/usr/sbin/dpkg-reconfigure: locales is not installed
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = "en_IN:en",
    LC_ALL = (unset),
    LANG = "en_IN"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based
frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm
line 76.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install
the Term::ReadLine module) (@INC contains: /etc/perl
/usr/local/lib/riscv64-linux-gnu/perl/5.28.1 /usr/local/share/perl/5.28.1
/usr/lib/riscv64-linux-gnu/perl5/5.28 /usr/share/perl5
/usr/lib/riscv64-linux-gnu/perl/5.28 /usr/share/perl/5.28
/usr/local/lib/site_perl /usr/lib/riscv64-linux-gnu/perl-base) at
/usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
debconf: falling back to frontend: Teletype

Please let me know what to do.

Thanks.

Regards,
Dinesh

On Fri, Dec 28, 2018 at 12:38 PM Dinesh Thirumurthy <
dinesh.thirumurthy at gmail.com> wrote:

> Hi,
>
> Following instructions at
> https://www.lowrisc.org/docs/download-install-debian/
> On running make cpio
> I get this error:
>
> sudo tar cJf - -C work/debian-riscv64-chroot . > ../rootfs.tar.xz
> rm -rf bin etc dev home lib proc sbin sys tmp usr mnt nfs root run init
> mkdir -p bin etc dev home lib proc sbin sys tmp usr mnt nfs root run
> usr/bin usr/lib usr/sbin usr/share/perl5 usr/share/udhcpc
> lib/riscv64-linux-gnu usr/lib/riscv64-linux-gnu # usr/share/sysvinit
> cp -p work/usr-share-udhcpc-default.script usr/share/udhcpc/default.script
> cp -p work/debian-riscv64-chroot/sbin/mount.nfs ./sbin
> cp: cannot stat 'work/debian-riscv64-chroot/sbin/mount.nfs': No such file
> or directory
> work/makefile.inc:17: recipe for target 'init' failed
> make: *** [init] Error 1
> dt at marina:~/l/lowrisc-chip/debian-riscv64$ ls
> work/debian-riscv64-chroot/sbin/
> agetty      cfdisk      e2image      fsck         fsfreeze       isosize
> mkfs         mkfs.minix        raw                start-stop-daemon.REAL
> tune2fs
> badblocks   chcpu       e2label      fsck.cramfs  fstab-decode   killall5
> mkfs.bfs     mkhomedir_helper  resize2fs          sulogin
> unix_chkpwd
> blkdiscard  ctrlaltdel  e2mmpstatus  fsck.ext2    fstrim         ldconfig
> mkfs.cramfs  mkswap            runuser            swaplabel
> unix_update
> blkid       debugfs     e2undo       fsck.ext3    getty          logsave
> mkfs.ext2    pam_tally         sfdisk             swapoff
> wipefs
> blkzone     dumpe2fs    fdisk        fsck.ext4    hwclock        losetup
> mkfs.ext3    pam_tally2        shadowconfig       swapon
> zramctl
> blockdev    e2fsck      findfs       fsck.minix   installkernel  mke2fs
> mkfs.ext4    pivot_root        start-stop-daemon  switch_root
> dt at marina:~/l/lowrisc-chip/debian-riscv64$
>
> How do I fix/overcome this?
>
> Thanks.
>
> Regards,
> Dinesh
>
>


More information about the lowrisc-dev mailing list